Package: org.grails.commons

## [Java] Class DefaultGrailsCodecClass

- org.grails.commons.DefaultGrailsCodecClass

- All Implemented Interfaces and Traits:
    GrailsCodecClass, org.springframework.beans.factory.InitializingBean, org.springframework.core.Ordered

      public class DefaultGrailsCodecClass
      extends AbstractInjectableGrailsClass

  Authors:
    Jeff Brown
  Since:
    0.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CODEC` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `grailsApplication`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsCodecClass (java.lang.Class<?> clazz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `afterPropertiesSet()`
    `` | `protected java.lang.Object` | `autowireCodecBean(java.lang.Object existingBean)`
    `` | `void` | `configureCodecMethods()`
    `` | `Decoder` | `getDecoder()`
    `` | `Encoder` | `getEncoder()`
    `` | `int` | `getOrder()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractInjectableGrailsClass` | `byName, byType, getAvailable`
    `class AbstractGrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getMetaProperties, getName, getNaturalName, getPackageName, getPluginName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String CODEC

  - ### Constructor Detail

    - #### public DefaultGrailsCodecClass(java.lang.Class<?> clazz)

  - ### Method Detail

    - #### public void afterPropertiesSet()

    - #### protected java.lang.Object autowireCodecBean(java.lang.Object existingBean)

    - #### public void configureCodecMethods()

    - #### public Decoder getDecoder()

    - #### public Encoder getEncoder()

    - #### public int getOrder()